SELECT t.NAME                                         AS TableName,
       s.NAME                                         AS SchemaName,
       p.rows                                         AS RowCounts,
       Sum(a.total_pages) * 8                         AS TotalSpaceKB,
       Sum(a.used_pages) * 8                          AS UsedSpaceKB,
       ( Sum(a.total_pages) - Sum(a.used_pages) ) * 8 AS UnusedSpaceKB
FROM   sys.tables t
       INNER JOIN sys.indexes i
               ON t.object_id = i.object_id
       INNER JOIN sys.partitions p
               ON i.object_id = p.object_id
                  AND i.index_id = p.index_id
       INNER JOIN sys.allocation_units a
               ON p.partition_id = a.container_id
       LEFT OUTER JOIN sys.schemas s
                    ON t.schema_id = s.schema_id
WHERE  t.NAME NOT LIKE 'dt%'
       AND t.is_ms_shipped = 0
       AND i.object_id > 255
GROUP  BY t.NAME,
          s.NAME,
          p.rows
ORDER  BY totalspacekb DESC  